GET /whatsapp/pricing-analytics

Message volume and approximate cost of the number from Meta

GET
/whatsapp/pricing-analytics

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Query Parameters

accountId*string

WhatsApp account id

start*string

ISO date

end*string

ISO date

granularity*string

Data point size

Value in"HALF_HOUR""DAILY""MONTHLY"
dimensions?string

COUNTRY, PHONE, PRICING_CATEGORY, PRICING_TYPE, TIER

metricTypes?string

COST, VOLUME

pricingTypes?string

Filter

pricingCategories?string

Filter

countryCodes?string

Filter

Response Body

{accountId, phoneNumber, granularity, start, end, dataPoints}

application/json
  1. response
accountId?string
phoneNumber?string
granularity?string
start?string
end?string
dataPoints?array<>
Example Request
curl -X GET 'https://example.com/api/v1/whatsapp/pricing-analytics?accountId=string&start=string&end=string&granularity=HALF_HOUR'
Example Response
{  "accountId": "string",  "phoneNumber": "string",  "granularity": "string",  "start": "string",  "end": "string",  "dataPoints": [    {      "start": "string",      "end": "string",      "phoneNumber": "string",      "country": "string",      "tier": "string",      "pricingType": "string",      "pricingCategory": "string",      "volume": 0,      "cost": 0    }  ]}